Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.joda.time.base
Class BaseLocal

    java.lang.Object
      org.joda.time.base.AbstractPartial
          org.joda.time.base.BaseLocal

All Implemented Interfaces:
  java.lang.Comparable, ReadablePartial

Direct Known Subclasses:
  LocalDate, LocalDateTime, LocalTime

    public abstract class BaseLocal

extends AbstractPartial

BaseLocal is an abstract implementation of ReadablePartial that use a local milliseconds internal representation.

This class should generally not be used directly by API users. The `ReadablePartial` interface should be used when different kinds of partial objects are to be referenced.

BasePartial subclasses may be mutable and not thread-safe.

Since:
  1.5
Author:
  Stephen Colebourne

Constructor Summary
`protected` | `BaseLocal()` Constructs a partial with the current time, using ISOChronology in the default zone to extract the fields.

Method Summary
`protected abstract long` | `getLocalMillis()` Gets the local milliseconds from the Java epoch of 1970-01-01T00:00:00 (not fixed to any specific time zone).

Methods inherited from class org.joda.time.base.AbstractPartial
`compareTo, equals, get, getField, getField, getFields, getFieldType, getFieldTypes, getValues, hashCode, indexOf, indexOf, indexOfSupported, indexOfSupported, isAfter, isBefore, isEqual, isSupported, toDateTime, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.joda.time.ReadablePartial
`getChronology, getValue, size, toString`

Constructor Detail

### BaseLocal

    protected BaseLocal()

  Constructs a partial with the current time, using ISOChronology in the default zone to extract the fields.

  The constructor uses the default time zone, resulting in the local time being initialised. Once the constructor is complete, all further calculations are performed without reference to a timezone (by switching to UTC).

Method Detail

### getLocalMillis

    protected abstract long getLocalMillis()

  Gets the local milliseconds from the Java epoch of 1970-01-01T00:00:00 (not fixed to any specific time zone).

  This method is useful in certain circustances for high performance access to the datetime fields.

  Returns:
    the number of milliseconds since 1970-01-01T00:00:00

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD